PUT /api/v3/bill/moveBills

Moves the list of given bills to the specified destination account and meters. Each source Meter will be matched with a corresponding destination Meter based on commodity.

MoveBillsToAccountV3 Permissions: MoveExistingBills (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BillActionMove
Property Description Type
accountId Destination Account Id Required (defined) integer (int32)
accountMeterIds Destination AccountMeter Ids Required (defined) integer[]
ids Ids of bills to be moved Cannot be Empty Required (defined) integer[]
updateAccountGLs Use Account General Ledger from destination account? Required (defined) boolean
updateMeterGLs Use Meter General Ledger from destination meter? Required (defined) boolean
updateRecordScopeAndFactor If both the source and destination meter is linked to an emissions source and there are records generated from the bills being moved, update the scope category and GHG factor on those records to the destination meter defaults? Defaults to true for GHG Lite users, otherwise false. Required (defined) boolean
Example Request Body application/json
{  "accountId": 1,  "accountMeterIds": [
    1
  ],  "ids": [
    1
  ],  "updateAccountGLs": false,  "updateMeterGLs": false,  "updateRecordScopeAndFactor": false
}

Responses

204 No Content The request succeeded. No content is returned in the response body.